### Hierarchy

- EventInit
  - ServiceWorkerMessageEventInit

## Index

### Properties

- bubbles
- cancelable
- composed
- data
- lastEventId
- origin
- ports
- source

## Properties

### Optional bubbles

bubbles: undefined | false | true

Inherited from EventInit.bubbles

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:424

### Optional cancelable

cancelable: undefined | false | true

Inherited from EventInit.cancelable

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:425

### Optional composed

composed: undefined | false | true

Inherited from EventInit.composed

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:426

### Optional data

data: any

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1458

### Optional lastEventId

lastEventId: undefined | string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1459

### Optional origin

origin: undefined | string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1460

### Optional ports

ports: MessagePort[] | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1461

### Optional source

source: ServiceWorker | MessagePort | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1462

Generated using TypeDoc